function checkArgumentList(argList, msg, input)
% check some string against a list of strings
%
% includes error message.
%
% THIS IS NO USER FUNCTION

% The elk-library: convex geometry applied to crystallization modeling.
%   Copyright (C) 2013 Alexander Reinhold
%
% This program is free software: you can redistribute it and/or modify it 
%   under the terms of the GNU General Public License as published by the 
%   Free Software Foundation, either version 3 of the License, or (at your 
%   option) any later version.
%
% This program is distributed in the hope that it will be useful, but 
%   WITHOUT ANY WARRANTY; without even the implied warranty of 
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
%   General Public License for more details.
%
% You should have received a copy of the GNU General Public License along 
%   with this program.  If not, see <http://www.gnu.org/licenses/>.

flagKnown = false;
for iElement = 1:length(argList)
    if strcmpi(input, argList{iElement}(1:end-1))
        flagKnown = true;
        break;
    end
end
if ~flagKnown
    error('elk:approximation:wrongInput', [msg '-- You used: ''' ...
        input '''']);
end
